Class | Fog::AWS::Elasticache::Real
In: | lib/fog/aws/elasticache.rb lib/fog/aws/requests/elasticache/create_cache_security_group.rb lib/fog/aws/requests/elasticache/describe_cache_parameters.rb lib/fog/aws/requests/elasticache/delete_cache_parameter_group.rb lib/fog/aws/requests/elasticache/describe_engine_default_parameters.rb lib/fog/aws/requests/elasticache/describe_cache_parameter_groups.rb lib/fog/aws/requests/elasticache/delete_cache_cluster.rb lib/fog/aws/requests/elasticache/reset_cache_parameter_group.rb lib/fog/aws/requests/elasticache/revoke_cache_security_group_ingress.rb lib/fog/aws/requests/elasticache/describe_reserved_cache_nodes.rb lib/fog/aws/requests/elasticache/describe_events.rb lib/fog/aws/requests/elasticache/describe_cache_clusters.rb lib/fog/aws/requests/elasticache/authorize_cache_security_group_ingress.rb lib/fog/aws/requests/elasticache/modify_cache_parameter_group.rb lib/fog/aws/requests/elasticache/describe_cache_security_groups.rb lib/fog/aws/requests/elasticache/create_cache_parameter_group.rb lib/fog/aws/requests/elasticache/delete_cache_security_group.rb lib/fog/aws/requests/elasticache/reboot_cache_cluster.rb lib/fog/aws/requests/elasticache/create_cache_cluster.rb lib/fog/aws/requests/elasticache/modify_cache_cluster.rb
Parent: | Object

### Methods

authorize_cache_security_group_ingress create_cache_cluster create_cache_parameter_group create_cache_security_group delete_cache_cluster delete_cache_parameter_group delete_cache_security_group describe_cache_clusters describe_cache_parameter_groups describe_cache_parameters describe_cache_security_groups describe_engine_default_parameters describe_events describe_reserved_cache_nodes modify_cache_cluster modify_cache_parameter_group new reboot_cache_cluster reload reset_cache_parameter_group revoke_cache_security_group_ingress

### Included Modules

Fog::AWS::CredentialFetcher::ConnectionMethods

### Public Class methods

new(options={})

### Public Instance methods

authorize_cache_security_group_ingress(name, ec2_name, ec2_owner_id)

Authorize ingress to a CacheSecurityGroup using EC2 Security Groups

### Parameters

- name <~String> - The name of the cache security group
- ec2_name <~String> - The name of the EC2 security group to authorize
- ec2_owner_id <~String> - The AWS Account Number of the EC2 security group

### Returns

- response <~Excon::Response>:
  - body <~Hash>

create_cache_cluster(id, options = {})

creates a cache cluster

### Required Parameters

- id <~String> - A unique cluster ID - 20 characters max.

### Optional Parameters

- options <~Hash> - All optional parameters should be set in this Hash:
  - :node_type <~String> - The size (flavor) of the cache Nodes
  - :security_group_names <~Array> - Array of Elasticache::SecurityGroup names
  - :num_nodes <~Integer> - The number of nodes in the Cluster
  - :auto_minor_version_upgrade <~TrueFalseClass>
  - :parameter_group_name <~String> - Name of the Cluster‘s ParameterGroup
  - :engine <~String> - The Cluster‘s caching software (memcached)
  - :engine_version <~String> - The Cluster‘s caching software version
  - :notification_topic_arn <~String> - Amazon SNS Resource Name
  - :port <~Integer> - The memcached port number
  - :preferred_availablility_zone <~String>
  - :preferred_maintenance_window <~String>

### Returns

- response <~Excon::Response>:
  - body <~Hash>

create_cache_parameter_group(name, description = name, family = 'memcached1.4')

creates a cache parameter group

### Parameters

- name <~String> - The name for the Cache Parameter Group

### Optional Parameters

- description <~String> - The description for the Cache Parameter Group
- family <~String> - The description for the Cache Parameter Group

### Returns

- response <~Excon::Response>:
  - body <~Hash>

create_cache_security_group(name, description = name)

creates a cache security group

### Parameters

- name <~String> - The name for the Cache Security Group
- description <~String> - The description for the Cache Security Group

### Returns

- response <~Excon::Response>:
  - body <~Hash>

delete_cache_cluster(cluster_id)

Deletes a Cache Cluster

### Parameter (required):

- id <~String> - The ID of the cache cluster to delete

### Returns

- response <~Excon::Response>:
  - body <~Hash>

delete_cache_parameter_group(name)

deletes a cache parameter group

### Parameters

- name <~String> - The name for the Cache Parameter Group

### Returns

- response <~Excon::Response>:
  - body <~Hash>

delete_cache_security_group(name)

deletes a cache security group

### Parameters

- name <~String> - The name for the Cache Security Group

### Returns

- response <~Excon::Response>:
  - body <~Hash>

describe_cache_clusters(id = nil, options = {})

Returns a list of Cache Cluster descriptions

### Parameters (optional)

- id - The ID of an existing cache cluster
- options <~Hash> (optional):
- :marker <~String> - marker provided in the previous request
- :max_records <~Integer> - the maximum number of records to include
- :show_node_info <~Boolean> - whether to show node info

### Returns

- response <~Excon::Response>:
  - body <~Hash>

describe_cache_parameter_groups(name = nil, options = {})

Returns a list of CacheParameterGroup descriptions

### Parameters (optional)

- name <~String> - The name of an existing cache parameter group
- options <~Hash> (optional):
- :marker <~String> - marker provided in the previous request
- :max_records <~Integer> - the maximum number of records to include

describe_cache_parameters(name = nil, options = {})

Returns a list of CacheParameterGroup descriptions

### Parameters (optional)

- name <~String> - The name of an existing cache parameter group
- options <~Hash> (optional):
- :marker <~String> - marker provided in the previous request
- :max_records <~Integer> - the maximum number of records to include
- :source <~String> - the parameter types to return.

describe_cache_security_groups(name = nil, options = {})

Returns a list of CacheSecurityGroup descriptions

### Parameters (optional)

- name <~String> - The name of an existing cache security group
- options <~Hash> (optional):
- :marker <~String> - marker provided in the previous request
- :max_records <~Integer> - the maximum number of records to include

describe_engine_default_parameters(options = {})

Returns the default engine and system parameter information for the specified cache engine.

### Parameters (optional)

- options <~Hash>:
- :engine <~String> - the engine whose parameters are requested
- :marker <~String> - marker provided in the previous request
- :max_records <~Integer> - the maximum number of records to include

describe_events(options = {})

Returns a list of service events

For more information see: docs.amazonwebservices.com/AmazonElastiCache/latest/APIReference/API_DescribeEvents.html

### Parameters (optional)

- options <~Hash> (optional):
- :start_time <~DateTime> - starting time for event records
- :end_time <~DateTime> - ending time for event records
- :duration <~Integer> - time span for event records
- :marker <~String> - marker provided in the previous request
- :max_records <~Integer> - the maximum number of records to include
- :source_identifier <~String> - identifier of the event source
- :source_type <~String> - event type, one of:

        (cache-cluster | cache-parameter-group | cache-security-group)

### Returns

- response <~Excon::Response>:
  - body <~Hash>

describe_reserved_cache_nodes(identifier=nil, opts={})

Describe all or specified reserved Elasticache nodes docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/API_DescribeReservedCacheNodes.html

#### Parameters

- ReservedCacheNodeId <~String> - ID of node to retrieve information for. If absent, information for all nodes is returned.

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

modify_cache_cluster(id, options = {})

Modifies an existing cache cluster Returns a cache cluster description

### Required Parameters

- id <~String> - The ID of the existing cluster to be modified

### Optional Parameters

- options <~Hash> - All optional parameters should be set in this Hash:
  - :apply_immediately <~TrueFalseClass> - whether to apply changes now
  - :auto_minor_version_upgrade <~TrueFalseClass>
  - :num_nodes <~Integer> - The number of nodes in the Cluster
  - :nodes_to_remove <~Array> - Array of node IDs to delete
  - :security_group_names <~Array> - Array of Elasticache::SecurityGroup names
  - :parameter_group_name <~String> - Name of the Cluster‘s ParameterGroup
  - :engine_version <~String> - The Cluster‘s caching software version
  - :notification_topic_arn <~String> - Amazon SNS Resource Name
  - :notification_topic_status <~String> - Amazon SNS Topic status
  - :preferred_maintenance_window <~String>

### Returns

- response <~Excon::Response>:
  - body <~Hash>

modify_cache_parameter_group(id, new_parameters)

Modifies an existing cache parameter group Returns a the name of the modified parameter group

### Required Parameters

- id <~String> - The ID of the parameter group to be modified
- new_parameters <~Hash> - The parameters to modify, and their values

### Returns

- response <~Excon::Response>:
  - body <~Hash>

reboot_cache_cluster(id, nodes_to_reboot)

Reboots some or all of an existing cache cluster‘s nodes Returns a cache cluster description

### Required Parameters

- id <~String> - The ID of the existing cluster to be rebooted

### Optional Parameters

- nodes_to_reboot <~Array> - Array of node IDs to reboot

### Returns

- response <~Excon::Response>:
  - body <~Hash>

reload()
reset_cache_parameter_group(id, parameter_names = [])

Resets an existing cache parameter group Returns a the name of the modified parameter group

### Required Parameters

- id <~String> - The ID of the parameter group to be modified

### Optional Parameters

- parameter_names <~Array> - The parameters to reset

### Returns

- response <~Excon::Response>:
  - body <~Hash>

revoke_cache_security_group_ingress(name, ec2_name, ec2_owner_id)

Revoke ingress to a CacheSecurityGroup using EC2 Security Groups

### Parameters

- name <~String> - The name of the cache security group
- ec2_name <~String> - The name of the EC2 security group to revoke
- ec2_owner_id <~String> - The AWS Account Number of the EC2 security group

### Returns

- response <~Excon::Response>:
  - body <~Hash>

[Validate]